
#
#    ========== licence begin LGPL
#    Copyright (C) 2002 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

def defaultUser ():
    #      user,   password, dbname, host (None = local)
    return 'TEST', 'TEST',   'TST',  ''

def dbmUser ():
    #      user,   password, dbname, host (None = local)
    return 'DBM',  'DBM',    'TST',  ''

def _parseArgs (args, defaults):
    username, password, dbname, host = defaults
    if len (args) > 3:
        host = args [3]
    if len (args) > 2:
        dbname = args [2]
    if len (args) > 1:
        password = args [1]
    if len (args) > 0:
        username = args [0]
    return username, password, dbname, host

def parseUserArgs (args):
    return _parseArgs (args, defaultUser ())

def parseDbmArgs (args):
    return _parseArgs (args, dbmUser ())
